<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My Task</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'signup' %}">Sign up</a>
                        </li>
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>My Tasks</h1>
                {% if show_my_tasks|length == 0 %}
                    <p>You have no tasks</p>
                {% else %}
                    <table>
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Start date</th>
                                <th>Due date</th>
                                <th>Is completed</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for items in show_my_tasks %}
                                <tr>
                                    <td>{{ items.name }}</td>
                                    <td>{{ items.start_date }}</td>
                                    <td>{{ items.due_date }}</td>
                                    <td>{{ value|yesno:"yes,no" }}</td>
                                </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                {% endif %}
            </div>
        </main>
    </body>
</html>
